<?php
defined('TYPO3_MODE') or die();

call_user_func(function () {

    $pluginLabel = 'LLL:EXT:nxflexformbug/Resources/Private/Language/locallang_db.xml:plugins.%s.title';

    foreach (['teaser'] as $pluginName) {
        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
            'nxflexformbug',
            $pluginName,
            sprintf($pluginLabel, $pluginName)
        );
        $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['nxflexformbug_' . $pluginName] = 'recursive,select_key,pages';
    }

    $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['nxflexformbug_teaser'] = 'pi_flexform';
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('nxflexformbug_teaser',
        'FILE:EXT:nxflexformbug/Configuration/FlexForms/flexform_teaser.xml');

});
