<?php
namespace Netlogix\Nxflexformbug\Controller;

use Netlogix\Nxflexformbug\Domain\Model\Product;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

class ProductController extends ActionController
{

    /**
     * @var \Netlogix\Nxflexformbug\Domain\Repository\ProductRepository
     * @inject
     */
    protected $productRepository;

    public function teaserAction()
    {
        /** @var Product $product */
        $products = $this->productRepository->findByUids(GeneralUtility::trimExplode(',', $this->settings['product']));
        $this->view->assign('products', $products);
    }

}