<?php
defined('TYPO3_MODE') or die();

call_user_func(function () {
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:nxflexformbug/Configuration/TSconfig/ContentElementWizard.t3s">');

    // Show event table in page module
    $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['cms']['db_layout']['addTables']['tx_nxflexformbug_domain_model_product'][] = [
        'fList' => 'title,teaser',
        'icon' => true,
    ];

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin('Netlogix.Nxflexformbug', 'teaser',
        ['Product' => 'teaser'], ['Product' => '']);

    if (TYPO3_MODE === 'BE') {
        $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
        $iconRegistry->registerIcon('ext-nxflexformbug-teaser-wizard-icon',
            \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class,
            ['source' => 'EXT:nxflexformbug/Resources/Public/Icons/ce_teaser.gif']);
    }
});